Package com.ads.mm.db.dao

# Enum Class DBTable.TableType

java.lang.Object
java.lang.Enum<DBTable.TableType>
com.ads.mm.db.dao.DBTable.TableType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBTable.TableType>`, `Constable`

Enclosing class:
  DBTable

public static enum DBTable.TableType extends Enum<DBTable.TableType>
These Constants are used to specify the TableType as Table, View, Synonym or Component.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPONENT`
  Component is name given to ETL program unit.
  `SYNONYM`
  Synonym is alternate name given to table, view, sequence or program unit.
  `TABLE`
  Table is a unit of data storage, which holds all user accessible data.
  `VIEW`
  View is a logical representation of another table or combination of tables.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActualName()`
  `static DBTable.TableType`
  `getTableType(String value)`
  `String`
  `toString()`
  `static DBTable.TableType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBTable.TableType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final DBTable.TableType TABLE
    Table is a unit of data storage, which holds all user accessible data.
    TABLE TableType is used to refer, when the node we access is a Table.

  - ### VIEW

    public static final DBTable.TableType VIEW
    View is a logical representation of another table or combination of tables.
    VIEW TableType is used to refer, when the node we access is a VIEW.

  - ### SYNONYM

    public static final DBTable.TableType SYNONYM
    Synonym is alternate name given to table, view, sequence or program unit.
    SYNONYM TableType is used to refer, when the node we access is a SYNONYM.

  - ### COMPONENT

    public static final DBTable.TableType COMPONENT
    Component is name given to ETL program unit.
    COMPONENT TableType is used to refer, when the node we access is a COMPONENT.

- ## Method Details

  - ### values

    public static DBTable.TableType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBTable.TableType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<DBTable.TableType>`

  - ### getActualName

    public String getActualName()
    Returns:

  - ### getTableType

    public static DBTable.TableType getTableType(String value)